<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_preview"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg"
    tools:context=".activity.PreViewActivity">

    <ImageView
        android:id="@+id/pre_back"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="16dp"
        android:src="@drawable/icon_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/pre_image_frame"
        android:layout_width="250dp"
        android:layout_height="250dp"
        android:layout_marginTop="32dp"
        android:background="@mipmap/pre_image_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/pre_back">

        <ImageView
            android:id="@+id/pre_image"
            android:layout_width="160dp"
            android:layout_height="170dp"
            android:layout_gravity="center" />
    </FrameLayout>

    <com.air.airhornprank.tool.MyTextView
        android:id="@+id/pre_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:textColor="@color/black"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/pre_image_frame" />

    <SeekBar
        android:id="@+id/seekbar"
        android:layout_width="240dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="45dp"
        android:progressDrawable="@drawable/seekbar_style"
        android:thumb="@drawable/seek_bar_thumb"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/pre_text" />

    <ImageView
        android:id="@+id/volumeleft"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="32dp"
        android:background="@drawable/icon_null"
        app:layout_constraintBottom_toBottomOf="@id/seekbar"
        app:layout_constraintEnd_toStartOf="@id/seekbar"
        app:layout_constraintTop_toTopOf="@id/seekbar" />

    <ImageView
        android:id="@+id/volumeright"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="32dp"
        android:background="@drawable/icon_add"
        app:layout_constraintBottom_toBottomOf="@id/seekbar"
        app:layout_constraintStart_toEndOf="@id/seekbar"
        app:layout_constraintTop_toTopOf="@id/seekbar" />

    <ImageView
        android:id="@+id/pre_play"
        android:layout_width="95dp"
        android:layout_height="95dp"
        android:layout_marginTop="50dp"
        android:background="@drawable/pre_play"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/seekbar" />

    <ImageView
        android:id="@+id/pre_image_loop"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginStart="60dp"
        android:background="@drawable/icon_unloop"
        app:layout_constraintBottom_toBottomOf="@id/pre_play"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/pre_play" />

    <ImageView
        android:id="@+id/pre_like"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginEnd="60dp"
        android:background="@drawable/icon_unlike"
        app:layout_constraintBottom_toBottomOf="@id/pre_play"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/pre_play" />
</androidx.constraintlayout.widget.ConstraintLayout>